var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import classNames from 'classnames';
import { Panel as RcPanel } from 'rc-collapse';
import animation from "../_utils/openAnimation";
import { defaultArrowIcon } from "./Collapse";
var prefixCls = 'dmc-collapse-panel';

var CollapseItem = function CollapseItem(props) {
  var _a;

  var _b = props,
      arrowIcon = _b.arrowIcon,
      header = _b.header,
      className = _b.className,
      arrowPosition = _b.arrowPosition,
      disabled = _b.disabled,
      restProps = __rest(_b, ["arrowIcon", "header", "className", "arrowPosition", "disabled"]);

  var itemArrow = arrowIcon || defaultArrowIcon;
  var cls = classNames(className, (_a = {}, _a[prefixCls + "-arrow-position-right"] = arrowPosition === 'right', _a[prefixCls + "-item-disabled"] = disabled, _a));

  var newHeader = _jsx("div", __assign({
    className: prefixCls + "-header-content"
  }, {
    children: header
  }), void 0);

  return _jsx(RcPanel, __assign({}, restProps, {
    className: cls,
    prefixCls: prefixCls,
    header: newHeader,
    expandIcon: itemArrow,
    collapsible: disabled ? 'disabled' : undefined
  }), void 0);
};

var defaultProps = {
  showArrow: true,
  isActive: false,
  destroyInactivePanel: false,
  forceRender: false,
  openAnimation: animation
};
CollapseItem.defaultProps = defaultProps;
var CollapseItemMemo = /*#__PURE__*/React.memo(CollapseItem);
CollapseItemMemo.displayName = 'CollapseItemMemo';
CollapseItem.displayName = 'CollapseItem';
export { CollapseItemMemo };
export default CollapseItem;

